      subroutine nomfil(iunit,racine,file1,prefix,status,form)
      IMPLICIT REAL*8(A-H,O-X,Z),logical*1(y)
      common/svfil/fil11
      character(*) prefix,racine
      character*7 status
      character*80 file1,blan40,fil11
      character*80 file
      character*1  fil(80)
      character*11 form
      equivalence (fil(1),file)
c     namelist /tes/ file1,blan40
      do k=1,80
         blan40(k:k)=' '
      enddo
      file=blan40
C      OPEN FILES
      call nomf(fil,prefix,racine)
      !print*,'fil',fil
c     write(6,tes)
c     if(file1.eq.blan40)write(6,*)'egalite'
      !print*,'file1',trim(file1)
      if(file1.eq.blan40) file1=file
      !print*,'file2',trim(file1)
c     write(6,*)'file1   ',file1
c     write(6,*)'blan40  ',blan40
c     write(6,tes)
c     if(file1.eq.blan40)write(6,*)'egalite'
       write(75,*)'ouverture de la file',iunit,' ',file1,status,'$'
       call scril
c     write(6,*)fil,iunit,racine,status,file1
      ier=0
      OPEN (UNIT=iunit,FORM=form,STATUS=status,file=file1)
      if(iunit.eq.11) fil11=file1
c      write(6,*)'fin ouverture des files'
      return
      end
